;;; This file was automatically generated by SWIG (http://www.swig.org).
;;; Version 1.3.40
;;;
;;; Do not make changes to this file unless you know what you are doing--modify
;;; the SWIG interface file instead.

(in-package :llvm)


(cffi:defcenum LLVMVerifierFailureAction
	:LLVMAbortProcessAction
	:LLVMPrintMessageAction
	:LLVMReturnStatusAction)

(cffi:defcfun ("LLVMVerifyModule" LLVMVerifyModule) :boolean
  (M LLVMModuleRef)
  (Action LLVMVerifierFailureAction)
  (OutMessage :pointer))

(cffi:defcfun ("LLVMVerifyFunction" LLVMVerifyFunction) :boolean
  (Fn LLVMValueRef)
  (Action LLVMVerifierFailureAction))

(cffi:defcfun ("LLVMViewFunctionCFG" LLVMViewFunctionCFG) :void
  (Fn LLVMValueRef))

(cffi:defcfun ("LLVMViewFunctionCFGOnly" LLVMViewFunctionCFGOnly) :void
  (Fn LLVMValueRef))


